DOSBox uses the following libraries:

SDL 2.0
    The Simple DirectMedia Layer available at https://www.libsdl.org/
    SDL provides many essential cross-platform functionalities and
    hardware accelerated rendering via OpenGL or Direct3D.
    License: zlib

Opusfile, by Xiph
    For compressed audio tracks (.opus) used with CDROM images.
    Sources are available at https://opus-codec.org, however it is
    also conveniently packages by all popular package managers for
    Windows (MSYS2, MinGW, and Chocolatey), Linux (apt, dnf, zypper,
    pacman), and OS X (Homebrew and MacPorts).  Opus is today's
    leading compression format and has replaced Vorbis as Ogg's
    recommended lossy format. Is widely used in the largest audio and
    video distribution platforms such as YouTube.
    License: three-clause BSD

Curses (optional)
    If you want to enable the debugger you need a curses library.
    On Linux, install ncurses-devel via your distro package manager.
    On macOS, install ncurses via brew or macports.
    On Windows, install pdcurses at https://pdcurses.org/, or ncurses
    via package-manager such as pacman within an MSYS2 environment.
    Licenses:
      ncurses - MIT License
      pdcurses - Public Domain

Libpng (optional)
    Needed for the screenshots.
    For win32 get libpng from http://gnuwin32.sourceforge.net/packages.html
    See http://www.libpng.org/pub/png/ for more details.
    License: zlib/libpng

Zlib (optional)
    Needed by libpng.
    For win32 get libz (rename to zlib) from http://gnuwin32.sourceforge.net/packages.html
    See https://www.zlib.net/ for more details.
    License: zlib

SDL_net (optional)
    For modem/ipx support.
    Get it from https://www.libsdl.org/projects/SDL_net/
    License: zlib

alsa-lib (optional)
    For ALSA audio support under linux. Get it from https://www.alsa-project.org/
    Licensed under LGPL

If you want compile from developer sources (SVN) under a unix system, you will need:
 - Subversion to checkout the sources, or gzip and tar to unpack them from archive
 - GCC (>=4.8.1) or Clang (>=3.4)
 - automake (>=1.6)
 - autoconf (>=2.50)
 - autoconf-archive (>=2009.x)
 - make (>= 3.8)
 - pkg-config (>= 0.25)

For building on unix systems.
If you are building from developer sources run ./autogen.sh first before doing
the following:

    $ ./configure
    $ make

You can also run "./configure --help" for extra features to enable/disable.
Some of them are:

--enable-debug
        enables the internal debugger. --enable-debug=heavy enables even more
        debug options. To use the debugger, DOSBox should be run from an xterm
        and when the sdl-window is active press alt-pause to enter the
        debugger.

--disable-core-inline
        disables some memory increasing inlines. This speeds up compilation,
        but may result in a slower dosbox.

--disable-fpu
        disables the emulated fpu. Although the fpu emulation code isn't
        finished and isn't entirely accurate, it's advised to leave it on.

--disable-fpu-x86
--disable-fpu-x64
        disables the assembly fpu core. Although relatively new, the x86/x64
        fpu core has more accuracy than the regular fpu core.

--disable-dynamic-x86
        disables the dynamic x86/x64 specific cpu core. Although it might be
        a bit unstable, it can greatly improve the speed of dosbox on x86 and
        x64 hosts.
        Please note that this option on x86/x64 will result in a different
        dynamic/recompiling cpu core being compiled than the default.
        For more information see the option --disable-dynrec

--disable-dynrec
        disables the recompiling cpu core. Currently x86/x64 and arm only.
        You can activate this core on x86/x64 by disabling the dynamic-x86
        core.

--disable-dynamic-core
        disables all dynamic cores (same effect as --disable-dynamic-x86
        or --disable-dynrec).

--disable-opengl
        disables OpenGL-support (output mode that can be selected in the
        DOSBox configuration file).

--disable-unaligned-memory
        disables unaligned memory access.

Check the src subdir for the binary.
